@tailwind base;
@tailwind components;
@tailwind utilities;
@import url("https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap");

/* Apply to html and body */
html,
body {
  overflow: auto;
  -ms-overflow-style: none; /* Internet Explorer and Edge */
}

body {
  font-family: "Plus Jakarta Sans", sans-serif !important;
}

/* */

ul li::before {
  content: "";
  width: 26px;
  height: 26px;
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: var(--tg-theme-primary);
  background-image: url("../public/assest/bullets.png");
  background-size: cover;
  background-position: center;
  color: var(--tg-color-white-default);
  line-height: 0;
  font-size: 18px;
}

ul {
  display: flex;
  flex-direction: column;
  gap: 20px; /* Equivalent to gap-3 */
  text-align: left;
  font-size: 1;
}

li {
  display: flex;
  gap: 12px; /* Equivalent to space-x-3 */
}

/* Support for right-to-left (RTL) languages */
[dir="rtl"] li {
  flex-direction: row-reverse;
}

table {
  /* width: 100%; */
  border-collapse: collapse;
  /* font-family: Arial, sans-serif; */
  background-color: rgba(255, 255, 255, 0.486);
  border-radius: 20px;
}

th {
  padding: 6px 24px;
  text-align: left;
  color: #4a5568;
  font-size: 18px !important;
  line-height: 1.75rem;
  margin-bottom: 1.5rem;
  font-weight: 600 !important;
  color: #4a5568;
  background-color: #f7fafc;
  border-bottom: 1px solid #e2e8f0;
}

td {
  padding: 6px 24px;
  color: #4a5568;
  font-size: 18px !important;
  line-height: 1.75rem;
  font-weight: 400;
  margin-bottom: 1.5rem;
}

tr:hover {
  background-color: #f9fafb;
  transition: background-color 0.15s ease-in-out;
}

tbody tr:not(:last-child) {
  border-bottom: 1px solid #e2e8f0;
}

h1 {
  font-size: 2.25rem;
  font-weight: bolder;
  background: linear-gradient(to right, #ffe154, #fb666f, #62b8ff, #49fcd9);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text; /* For Firefox */
  color: transparent;
}

h2 {
  font-size: 1.8rem;
  line-height: 1.8rem;
  font-weight: bolder;
  color: black;
  margin-bottom: 1.8rem;
}

p {
  color: #4a5568;
  font-size: 18px;
  line-height: 1.75rem;
  font-weight: 400;
  margin-bottom: 1.5rem;
}

.safe {
  color: #4a5568;
  font-size: 1.125rem;
  line-height: 1.75rem;
  font-weight: 400;
  margin-bottom: 1.5rem;
}

/* Scrollbar hide karne ke liye */
.hide-scrollbar::-webkit-scrollbar {
  display: none;
}

.hide-scrollbar {
  -ms-overflow-style: none; /* IE aur Edge ke liye */
  scrollbar-width: none; /* Firefox ke liye */
}

@media only screen and (max-width: 480px) {
  .Toastify__toast-container {
    width: 90vw;
    left: env(safe-area-inset-left);
    margin: 17px;
  }
  h1 {
    font-size: 1.75rem !important;
    font-weight: bolder;
    background: linear-gradient(to right, #ffe154, #fb666f, #62b8ff, #49fcd9);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
  }
  .safe {
    color: #4a5568;
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-weight: 400;
    margin-bottom: 1.5rem;
    width: 81vw;
  }
}

.text-xl {
  font-size: 1.065rem !important; 
  line-height: 1.75rem;
}
